Billing

List settlement banks for a payout country

Read-only lookup of the settlement-bank list for a country, only meaningful when that country's entry from GET /payment-processing/countries has banksListSupported: true. For a country where it is false, this returns an empty list and your onboarding form should fall back to the free-text bank/code field the countries response already describes for that country, rather than calling this endpoint.

AuthBearer (JWT)
GroupBilling
Rate limitSee Rate Limits
GET/api/orgs/{orgId}/payment-processing/banks

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const billing = new BillingApi(configuration);
import { Configuration, BillingApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const billing = new BillingApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await billing.getPayoutBanks("org_iHbtsfIZ8a");
const { data: result } = await billing.getPayoutBanks("org_iHbtsfIZ8a");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
orgIdstringYes-

Query Parameters

NameTypeRequiredDescription
countrystringYesISO-3166 alpha-2 payout country code, one of the codes from GET /payment-processing/countries.

Responses

200Bank list for the country
json
{
  "success": true,
  "data": {
    "banksListSupported": true,
    "banks": [
      {
        "code": "array parse",
        "name": "Royce Kuhic PhD"
      }
    ]
  }
}
{
  "success": true,
  "data": {
    "banksListSupported": true,
    "banks": [
      {
        "code": "array parse",
        "name": "Royce Kuhic PhD"
      }
    ]
  }
}
400-
401-
403-

Errors

CodeMeaning
400-
401-
403-
Edit this page on GitHub
Chat with us